package route

import (
	"kpt-pasture/http/handler/milk"

	"github.com/gin-gonic/gin"
)

func MilkManageAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// milk API 组  奶厅数据管理
		pastureRoute := authRouteGroup(s, "/api/v1/milk/")
		pastureRoute.POST("/hall/original", milk.ProcessOriginal)
	}
}
